Bug 503402 - Fedora ACPI daemon (acpid) is outdated and doesn't support netlink interface
Fedora ACPI daemon (acpid) is outdated and doesn't support netlink interface
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: acpid (Show other bugs)
12
All Linux
low Severity urgent
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
http://acpid.sourceforge.net/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-31 15:14 EDT by Artem S. Tashkinov
Modified: 2014-11-09 17:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-27 14:12:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 515773 None None None Never

  None (edit)
Description Artem S. Tashkinov 2009-05-31 15:14:52 EDT
Description of problem:

1) In newer kernels much more ACPI events are reported exclusively via netlink interface.

2) In newer kernels /proc/acpi/event is deprecated and will be removed soon. Besides people like me use vanilla kernel with most deprecated options turned off.

Fedora's acpid acpid-1.0.6-11 doesn't support netlink interface and doesn't have patches already merged in upstream.

Resolution:

Newer package is available on sf.net homepage.

netlink patches have already been made available in Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=515773
Comment 1 Bug Zapper 2009-06-09 12:53:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Artem S. Tashkinov 2010-01-27 14:12:41 EST
acpid in Fedora 12 seems to be of the correct version, closing.

Note You need to log in before you can comment on or make changes to this bug.